Class Fox::FXFileDict

In: | FXFileDict.rb
Parent: | FXDict

File association dictionary

Methods

associate defaultDirBinding defaultExecBinding defaultFileBinding find findDirBinding findExecBinding findFileBinding new new remove replace

Attributes

app | [R] | Application [FXApp]
iconPath | [RW] | Current icon search path [String]

Public Class methods

defaultExecBinding()

Return the registry key used to find fallback executable icons.

defaultDirBinding()

Return the registry key used to find fallback directory icons.

defaultFileBinding()

Return the registry key used to find fallback document icons.

new(a)

Construct a dictionary mapping file-extension to file associations, using the application registry settings as a source for the bindings.

new(a, db)

Construct a dictionary mapping file-extension to file associations, using the specified settings database as a source for the bindings.

#### Parameters:

`a`: Application [FXApp]

`db`: | Settings database [FXSettings]

Public Instance methods

replace(ext, str)

Replace file association for the specified extension; returns a reference to the file association.

#### Parameters:

`ext`: | Extension [String]
`str`: | String [String]

remove(ext)

Remove file association for the specified extension and return a reference to it.

find(ext)

Find file association for the specified extension already in dictionary and return a reference to it.

associate(key)

Find file association from registry for the specified key.

findFileBinding(pathname)

Returns a reference to the FXFileAssoc instance…

findDirBinding(pathname)

Returns a reference to the FXFileAssoc instance…

findExecBinding(pathname)

Returns a reference to the FXFileAssoc instance…